//osgod.h

#define WIN_BUFSIZE 4096
#define WIN_BUFNUMBER  3

#define _NORMAL 1
#define _EXTRACT 2

typedef			unsigned char DIRBYTE[90];
typedef			unsigned char EXTBYTE[4];
typedef			struct {
				char WinNum;
				char DriveNum;
				int  UnitLn;
				int  UnitMaxX;
				int  UnitMaxY;
				int  MaxUnits;
				void *MaxL;
				int  CursorX;
				int  CursorY;
				int  CurWinUnit;
				int  CurBufUnit;
				int  FileToWinNum;
				}	TABtype;


typedef 		struct  {int ButtonX1;
				 int ButtonY1;
				 int ButtonX2;
				 int ButtonY2;
				 BYTE Attrib;
				 BYTE ButtonColor;
				 BYTE ButtonTXTColor;
				 BYTE ButtonBKColor;
				 BYTE ButtonBKTxtColor;
				 BYTE ButtonText[13];
				 void *Function;
				} 	ButtonObj;

typedef			struct {
				char FileAs;
				BYTE File[66];
				int x1;	int y1;
				int x2;	int y2;
				int Type;
				BYTE *Buf;
				int NewMessOff;
				int GlMessY;
				int TopMessOff;
				int TopMessSize;
				char InColor;
				char OutColor;
				BYTE Title[30];
				} 	WinType;
//========================================================
int Init(void);
//========================================================
void BeepError(void);
//========================================================
void BeepOk(void);
//========================================================
void Terminate(int Error);
//========================================================
void OSGODScreenUp(void);
//========================================================
void TextRectangle(int x1, int y1, int x2, int y2, int Color);
//========================================================
int GetFiles();
//========================================================
void FilesToWindow(int WNum, int StrtFile);
//========================================================
BYTE *RetrieveFile(int FNum);
//========================================================
void ClearWindow(int WNum, int Color);
//========================================================
void KeyInterface(void);
//========================================================
void ScreenInit();
//========================================================
void ResetTab(char TABCnt);
//========================================================
void MoveCursor(char Dire);
//========================================================
void ExecStuff(void);
//========================================================
void ResetCursor(int TABCnt);
//========================================================
void UnLightSel(int TABCnt);
//========================================================
void LightSel(int TABCnt);
//========================================================
BYTE *GetCurRoot(BYTE *path);
//========================================================
void StuffToWindow(int far Win, int far StrtFile, int far Stuff);
//========================================================
BYTE *GetExt(EXTBYTE Ext);
//========================================================
int SetDrive(char D);
//========================================================
char GetExtAssFile(void);
//========================================================
void ClearExtStruct(int E);
//========================================================
void CreateFirstExtFile(void);
//========================================================
void CheckPresetExt(EXTBYTE Ext);
//========================================================
void ReadINI(BYTE *FileName);
//========================================================
int CheckButtons(void);
//========================================================
void CreateButtons(void);
//========================================================
void DrawButtons(void);
//========================================================
void ViewFile(void);
//========================================================
int AddFileToSelList(void);
//========================================================
void RemoveFileFromSelList(void);
//========================================================
void DrawButton(int But, BYTE Pressed);
//========================================================
void PlaceWindow(int WNum);
//========================================================
void MakeWindow(int Wnum, int x1, int y1, int x2, int y2, int ButtonCnt, char LColor, char DColor, BYTE Title[30]);
//========================================================
void RemoveWindow(int WNum);
//========================================================
void SystemMessage(BYTE *Message, int WNum);
//========================================================
void NormalExit(void);
//========================================================
BYTE* SystemRequest(BYTE *Request, int WNum, int L);
//========================================================
int MessageToWindow(int WNum, BYTE *Message);
//========================================================
void ClearWinBuf(void);
//========================================================
int GoMake(void);
//========================================================
int CompletionWindow(BYTE *ExtraMess, int Percent, BYTE New);
//========================================================
int ConvertLSTtoTEMP(void);
//========================================================
long GetMEFileSize(int Number);
//========================================================
int ClearPrioCnts(void);
//========================================================
int SetDefaultPrioCnts(void);
//========================================================
BYTE *ReducePath(BYTE *F, BYTE Num);
//========================================================
int ReturnAndReset(void);
//========================================================
void ClearSelectList(void);
