//mouse.h
#include "defs.h"

typedef struct {
		int HSens;
		int VSens;
		int DSThres;
	       } SObj;

typedef struct {
		int CurX;
		int CurY;
		BYTE LastAction;
		BYTE ButtonL;
		BYTE ButtonR;
		BYTE Both;
	       } TObj;

int  CheckMouse(void);
void InitTxtMouse(void);
void InitGraphMouse(void);
void ResetMouse(void);
void ShowMouse(void);
void HideMouse(void);
void ShowGraphMouse(void);
void HideGraphMouse(void);
void LoadMouseImage(BYTE What, BYTE *File);
void SetMouseInterruptSubRoutine(int Mask, void far *Handler);
void GetBackImage(int x, int y);
void PutImage(int what, int x, int y, BYTE Trans);
void SetCursorPos(int x, int y);
TObj TrackTXTMouse(void);
void TrackGraphMouse(void);
void SetMouseArea(int x, int y, int x2, int y2);
void AsnFnctToMseAct(void far *Function, int what);
void SetMouseSensitivity(int HSens, int VSens, int DSThres);
SObj GetMouseSensitivity(void);
void ResetBackImage(void);
BYTE CheckGraphMouseArea(int x, int y, int x2, int y2);
BYTE CheckTXTMouseArea(int x, int y, int x2, int y2);
